PDA

View Full Version : Upgrade of Pear



wildjokerdesign
12-22-2007, 09:26 AM
I would like to request that Pear be upgraded to the latest version which is currently 1.6.1. Or that the permissions on /usr/local/bin/pear, /usr/local/php/bin/peardev and /usr/local/bin/pecl be set so that we can upgrade Pear ourselves.

The reason I ask for this ability is that there are some Pear Classes such as PEAR_Frontend_Web-0.7.1 that require the latest version of Pear to be installed. I feel that having the ability to install PEAR_Frontend_Web-0.7.1 would encourage users who are uncomfortable with SSH but who do use PHP to install and use more the Pear Classes in their scripts.

WestHost - JFillmore
01-09-2008, 11:34 AM
I'll be the first to second your request, and pass on the news that this issue has been addressed. We are in the process of releasing PHP 5.2.5 and PHP 4.4.7. This comes with Pear 1.6.1 (although it seems Pear 1.6.2 is out already) and can be upgraded without any permissions problems. If you don't already have it, you should have it within the next few days.

Please don't hesitate to follow up on this if you have any additional feedback!

wildjokerdesign
01-09-2008, 06:00 PM
Thanks for the update Jonny. This is good news. Now if they could just figure out a way that when I update PHP via the Manager it does not wipe out my old Pear additions. ;)

j103c
01-14-2008, 09:22 AM
Were yours wiped out during the 5.2.5 upgrade? Mine weren't, but my environment uses the directions here:

http://forums.westhost.com/showthread.php?t=8202

wildjokerdesign
01-15-2008, 07:32 AM
No I simply use the basic WH install without any changes to it's configuration. Did you have to go back and add ./pear back into your php.ini with this method?

j103c
01-15-2008, 07:47 AM
Did you have to go back and add ./pear back into your php.ini with this method?

Yes, I did have to do that and restart Apache, but otherwise pear was good.